<div class="hand-drawn-annotation-list-container">
  <ng-container *ngIf="loaded; else loading">
    <mat-checkbox
      class="list-item"
      color="primary"
      [disabled]="!annotationEntities?.length || disabled"
      [checked]="allSelected"
      [indeterminate]="someSelected"
      matTooltip="Checkbox is not ready yet"
      [matTooltipDisabled]="!disabled"
      (change)="selectAllChanged.emit($event.checked)">
      <b>Hand drawn regions</b>
    </mat-checkbox>
    <div class="list-item overflow">
      <app-hand-drawn-annotation-item
        *ngFor="let annotation of annotationEntities"
        [annotation]="annotation"
        [selected]="!!annotationSelection.get(annotation.id)"
        [disabled]="disabled"
        (changeSelection)="changeAnnotationSelection.emit($event)"
        (zoomToAnnotation)="zoomToAnnotation.emit($event)"
        (deleteAnnotation)="deleteAnnotation.emit($event)">
      </app-hand-drawn-annotation-item>
    </div>
  </ng-container>
  <ng-template #loading>
    <div class="loading-container">
      <mat-spinner diameter="24"></mat-spinner>
      <div>Loading...</div>
    </div>
  </ng-template>
</div>
